package cn.reghao.tnb.content.app.vod.service;

import cn.reghao.tnb.content.api.dto.VideoRegion;
import cn.reghao.tnb.content.app.vod.model.po.VideoCategory;
import cn.reghao.tnb.content.app.vod.model.query.CategoryQuery;

import java.util.*;

/**
 * @author reghao
 * @date 2023-11-20 21:35:21
 */
public interface CategoryService {
    List<VideoCategory> getAllCategory();
    List<VideoRegion> getCategories(boolean vip);
    VideoCategory getVideoCategory(int id);
    List<VideoCategory> getVideoCategories(CategoryQuery categoryQuery);
}
